<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('records_rows', function (Blueprint $table) {
            $table->unsignedBigInteger('vat_id')->nullable();
            $table->foreign('vat_id')->nullable()->references('id')->on('vats')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('records_rows', function (Blueprint $table) {
            $table->dropColumn('vat_id');
        });
    }
};
